

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Table Example &mdash; sphinxDoc 0.0.1 documentation</title>
  

  
  
  
  

  

  
  
    

  

  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 

  
  <script src="../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../index.html" class="icon icon-home"> sphinxDoc
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../sphinxTut/index.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../sphinxTut/getting_started.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../sphinxTut/render_pdf.html">Render PDF from RST</a></li>
<li class="toctree-l1"><a class="reference internal" href="index.html">reStructuredText</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">sphinxDoc</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html">Docs</a> &raquo;</li>
        
      <li>Table Example</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../_sources/restructured/table.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="table-example">
<h1>Table Example<a class="headerlink" href="#table-example" title="Permalink to this headline">¶</a></h1>
<ul class="simple">
<li>grid, simple, csv, list-table syntax</li>
<li>tabularcolumns directive (column spec - to determine column width (default is left-aligned)</li>
</ul>
<div class="sidebar">
<p class="first sidebar-title">Example 1</p>
<table border="1" class="last docutils" id="making-a-table">
<colgroup>
<col width="60%" />
<col width="40%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Name</th>
<th class="head">Age</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>John D Hunter</td>
<td>40</td>
</tr>
<tr class="row-odd"><td>Cast of Thousands</td>
<td>41</td>
</tr>
<tr class="row-even"><td>And Still More</td>
<td>42</td>
</tr>
</tbody>
</table>
</div>
<p><strong>Example 1</strong>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">==================</span>   <span class="o">============</span>
<span class="n">Name</span>                 <span class="n">Age</span>
<span class="o">==================</span>   <span class="o">============</span>
<span class="n">John</span> <span class="n">D</span> <span class="n">Hunter</span>        <span class="mi">40</span>
<span class="n">Cast</span> <span class="n">of</span> <span class="n">Thousands</span>    <span class="mi">41</span>
<span class="n">And</span> <span class="n">Still</span> <span class="n">More</span>       <span class="mi">42</span>
<span class="o">==================</span>   <span class="o">============</span>
</pre></div>
</div>
<div class="line-block">
<div class="line"><br /></div>
<div class="line"><br /></div>
</div>
<p><strong>Example 2</strong>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">+------------+------------+-----------+</span>
<span class="o">|</span> <span class="n">Header</span> <span class="mi">1</span>   <span class="o">|</span> <span class="n">Header</span> <span class="mi">2</span>   <span class="o">|</span> <span class="n">Header</span> <span class="mi">3</span>  <span class="o">|</span>
<span class="o">+============+============+===========+</span>
<span class="o">|</span> <span class="n">body</span> <span class="n">row</span> <span class="mi">1</span> <span class="o">|</span> <span class="n">column</span> <span class="mi">2</span>   <span class="o">|</span> <span class="n">column</span> <span class="mi">3</span>  <span class="o">|</span>
<span class="o">+------------+------------+-----------+</span>
<span class="o">|</span> <span class="n">body</span> <span class="n">row</span> <span class="mi">2</span> <span class="o">|</span> <span class="n">Cells</span> <span class="n">may</span> <span class="n">span</span> <span class="n">columns</span><span class="o">.|</span>
<span class="o">+------------+------------+-----------+</span>
<span class="o">|</span> <span class="n">body</span> <span class="n">row</span> <span class="mi">3</span> <span class="o">|</span> <span class="n">Cells</span> <span class="n">may</span>  <span class="o">|</span> <span class="o">-</span> <span class="n">Cells</span>   <span class="o">|</span>
<span class="o">+------------+</span> <span class="n">span</span> <span class="n">rows</span><span class="o">.</span> <span class="o">|</span> <span class="o">-</span> <span class="n">contain</span> <span class="o">|</span>
<span class="o">|</span> <span class="n">body</span> <span class="n">row</span> <span class="mi">4</span> <span class="o">|</span>            <span class="o">|</span> <span class="o">-</span> <span class="n">blocks</span><span class="o">.</span> <span class="o">|</span>
<span class="o">+------------+------------+-----------+</span>
</pre></div>
</div>
<table border="1" class="docutils">
<colgroup>
<col width="34%" />
<col width="34%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Header 1</th>
<th class="head">Header 2</th>
<th class="head">Header 3</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>body row 1</td>
<td>column 2</td>
<td>column 3</td>
</tr>
<tr class="row-odd"><td>body row 2</td>
<td colspan="2">Cells may span columns.</td>
</tr>
<tr class="row-even"><td>body row 3</td>
<td rowspan="2">Cells may
span rows.</td>
<td rowspan="2"><ul class="first last simple">
<li>Cells</li>
<li>contain</li>
<li>blocks.</li>
</ul>
</td>
</tr>
<tr class="row-odd"><td>body row 4</td>
</tr>
</tbody>
</table>
<div class="sidebar">
<p class="first sidebar-title">Example 3</p>
<table border="1" class="last docutils">
<colgroup>
<col width="50%" />
<col width="11%" />
<col width="39%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td>simple text</td>
<td>2</td>
<td>3</td>
</tr>
</tbody>
</table>
</div>
<p><strong>Example 3</strong>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="n">tabularcolumns</span><span class="p">::</span> <span class="o">|</span><span class="n">l</span><span class="o">|</span><span class="n">c</span><span class="o">|</span><span class="n">p</span><span class="p">{</span><span class="mi">5</span><span class="n">cm</span><span class="p">}</span><span class="o">|</span>

<span class="o">+--------------+---+-----------+</span>
<span class="o">|</span><span class="n">simple</span> <span class="n">text</span>   <span class="o">|</span> <span class="mi">2</span> <span class="o">|</span> <span class="mi">3</span>         <span class="o">|</span>
<span class="o">+--------------+---+-----------+</span>
</pre></div>
</div>
<p><strong>Example 4</strong></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="o">|</span><span class="n">insta</span><span class="o">|</span> <span class="n">image</span><span class="p">::</span> <span class="o">../</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">image</span>
       <span class="p">:</span><span class="n">width</span><span class="p">:</span> <span class="mi">50</span><span class="n">pt</span>
       <span class="p">:</span><span class="n">height</span><span class="p">:</span> <span class="mi">30</span><span class="n">pt</span>

<span class="o">..</span> <span class="o">|</span><span class="n">twit</span><span class="o">|</span> <span class="n">image</span><span class="p">::</span> <span class="o">../</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">image</span>
       <span class="p">:</span><span class="n">width</span><span class="p">:</span> <span class="mi">30</span><span class="n">pt</span>
       <span class="p">:</span><span class="n">height</span><span class="p">:</span> <span class="mi">30</span><span class="n">pt</span>

<span class="o">+---------------------+----------------+</span>
<span class="o">|</span>  <span class="o">|</span><span class="n">insta</span><span class="o">|</span>            <span class="o">|</span>   <span class="o">|</span><span class="n">twit</span><span class="o">|</span>       <span class="o">|</span>
<span class="o">+---------------------+----------------+</span>
</pre></div>
</div>
<table border="1" class="docutils">
<colgroup>
<col width="57%" />
<col width="43%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="../_images/image4.jpg"><img alt="insta" src="../_images/image4.jpg" style="width: 50pt; height: 30pt;" /></a></td>
<td><a class="reference internal" href="../_images/image5.jpg"><img alt="twit" src="../_images/image5.jpg" style="width: 30pt; height: 30pt;" /></a></td>
</tr>
</tbody>
</table>
<div class="sidebar">
<p class="first sidebar-title">CSV Example</p>
<table border="1" class="colwidths-given last docutils" id="id1">
<caption><span class="caption-text">csv-example</span><a class="headerlink" href="#id1" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="50%" />
<col width="50%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Fullname</th>
<th class="head">Address</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>User A</td>
<td>Lalitpur,</td>
</tr>
<tr class="row-odd"><td>User B</td>
<td>Kathmandu</td>
</tr>
</tbody>
</table>
</div>
<p><strong>CSV Example</strong>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="n">csv</span><span class="o">-</span><span class="n">table</span><span class="p">::</span> <span class="n">csv</span><span class="o">-</span><span class="n">example</span>
   <span class="p">:</span><span class="n">header</span><span class="p">:</span> <span class="s2">&quot;Fullname&quot;</span><span class="p">,</span> <span class="s2">&quot;Address&quot;</span>
   <span class="p">:</span><span class="n">widths</span><span class="p">:</span> <span class="mi">20</span><span class="p">,</span> <span class="mi">20</span>

   <span class="s2">&quot;User A&quot;</span><span class="p">,</span> <span class="s2">&quot;Lalitpur,&quot;</span>
   <span class="s2">&quot;User B&quot;</span><span class="p">,</span> <span class="s2">&quot;Kathmandu&quot;</span>
</pre></div>
</div>
</div>


           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2018, Rijju Maharjan.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../',
            VERSION:'0.0.1',
            LANGUAGE:'None',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="../_static/jquery.js"></script>
      <script type="text/javascript" src="../_static/underscore.js"></script>
      <script type="text/javascript" src="../_static/doctools.js"></script>

  

  <script type="text/javascript" src="../_static/js/theme.js"></script>

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>